For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get payment links by user

The method allows you to get a list of payment links for a specific user

Get payment links by user

post
Header parameters
x-api-public-keystringOptional

Public API-key

x-api-signaturestringOptional

Signing the request body with a private API-key

Content-typestringOptional

Request content type

Example: application/json
Body

The body of the request to get the list of payment links associated with the client

clientIdstringOptional

Client ID

Example: merchant_client_unique_id
clientEmailstringOptional

Client mail

Example: client-email@example.com
merchantIdstringRequired

Merchant ID in the system

Example: 386fc09d-b4b8-4081-ae99-bf9710e80239
Responses
200Success
application/json

Successful response

successbooleanRequired

Request success indicator

post/api-gateway/recurrents/get-billing-links-by-subscriber
POST /api-gateway/recurrents/get-billing-links-by-subscriber HTTP/1.1
Host: ocp.onchainpay.io
Content-Type: application/json
Accept: */*
Content-Length: 133

{
  "clientId": "merchant_client_unique_id",
  "clientEmail": "client-email@example.com",
  "merchantId": "386fc09d-b4b8-4081-ae99-bf9710e80239"
}
200Success
{
  "success": true,
  "response": [
    {
      "id": "1db0ec64-8a2e-4bec-810a-be4bde21c412",
      "merchantId": "386fc09d-b4b8-4081-ae99-bf9710e80239",
      "clientId": "merchant_client_unique_id",
      "clientName": "John Doe",
      "clientEmail": "client-email@example.com",
      "webhookUrl": "https://merchant.domain/webhooks/subscription",
      "returnUrl": "https://merchant.domain/",
      "address": "0x00000005707Bf50EfA35a2db020eDe9Ac0780b9f",
      "currency": "USDT",
      "network": "ethereum",
      "status": "PENDING",
      "createdAt": "2026-01-29T11:14:13.710Z",
      "updatedAt": "2026-01-29T11:14:13.710Z"
    }
  ]
}

Last updated